c=data.frame(read.csv(file = 'P_all.csv'))

#EU27 2, BG 3, HU 4, RO	5, SK 6
train=c[1:168,2]
test1=c[169:180,2]
test2=c[169:192,2]
test3=c[169:204,2]

#ARIMA MODEL
library(forecast)
#EU27
mymodel.linear=arima(ts(train),order=c(1,2,1))
mymodel.linear

pred=fitted(mymodel.linear)
res=residuals(mymodel.linear)
#print(res)

qqnorm(res); qqline(res,lwd=2, col = 2)

#NNAR
library(nnfor)
mymodel.nonlinear=nnetar(res)
mymodel.nonlinear

forecast.linear1=data.frame(forecast(mymodel.linear,h=12))
forecast.nonlinear1=data.frame(forecast(mymodel.nonlinear,h=12))
comb.forecast1=forecast.linear1[,1]+forecast.nonlinear1[,1]


forecast.linear2=data.frame(forecast(mymodel.linear,h=24))
forecast.nonlinear2=data.frame(forecast(mymodel.nonlinear,h=24))
comb.forecast2=forecast.linear2[,1]+forecast.nonlinear2[,1]


forecast.linear3=data.frame(forecast(mymodel.linear,h=36))
forecast.nonlinear3=data.frame(forecast(mymodel.nonlinear,h=36))
comb.forecast3=forecast.linear3[,1]+forecast.nonlinear3[,1]

forecast.linear4=data.frame(forecast(mymodel.linear,h=48))
forecast.nonlinear4=data.frame(forecast(mymodel.nonlinear,h=48))
comb.forecast4=forecast.linear4[,1]+forecast.nonlinear4[,1]

accuracy(test1,comb.forecast1)
accuracy(test2,comb.forecast2)
accuracy(test3,comb.forecast3)


ylim <- range(c(test3,comb.forecast4))
plot(comb.forecast4,type="l",col="red", ylim=ylim, ylab="Energy poverty",xlab="Months", main="EU27")
lines(comb.forecast3,type="l",col="blue")
lines(test3,type="l",col="green")

comb.forecast4

